# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

# Binary is pretty useless
%global __cargo_is_bin() false

%global crate difference

Name:           rust-%{crate}
Version:        2.0.0
Release:        6%{?dist}
Summary:        Rust text diffing and assertion library

License:        MIT
URL:            https://crates.io/crates/difference
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump term to 0.5, https://github.com/johannhof/difference.rs/commit/01fb76830c72a716300b20c66866a226286e8670
# * Bump quickcheck to 0.7, https://github.com/johannhof/difference.rs/pull/33
# * Remove bin feature, it is useless
Patch0:         difference-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(getopts/default) >= 0.2.0 with crate(getopts/default) < 0.3.0)
%if %{with check}
BuildRequires:  (crate(quickcheck/default) >= 0.7.0 with crate(quickcheck/default) < 0.8.0)
BuildRequires:  (crate(term/default) >= 0.5.0 with crate(term/default) < 0.6.0)
%endif

%global _description \
A Rust text diffing and assertion library.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+getopts-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+getopts-devel %{_description}

This package contains library source intended for building other packages
which use "getopts" feature of "%{crate}" crate.

%files       -n %{name}+getopts-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 2.0.0-6
- Adapt to new packaging

* Mon Sep 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-5
- Bump quickcheck to 0.7

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-3
- Bump term to 0.5

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-1
- Initial package
